package net.sf.javaprinciples.resource;

/**
 * Service interface for GET operations for Resources.
 * @author rvllewln
 * @param <T> Type of Resource, typically Resource%lt;S%gt;.
 *
 */
public interface ResourceGetService<T>
{
    /**
     * Get a Resource by its identifier.
     * @param identifier The Resource's identifier.
     * @return The Resource if it exists, null otherwise.
     * @throws ResourceException If any problem is encountered while getting
     *   the Resource.
     */
    T getResource(ResourceIdentifier identifier) throws ResourceException;
}
